% MCO(1) Marionette Collective clustering framework
% Puppet Labs  <info@puppetlabs.com>
% April 05, 2018

# NAME

mco - Marionette Collective clustering framework

# SYNOPSIS

mco [*options*]

# DESCRIPTION

The Marionette Collective is a framework for building server orchestration and parallel job execution systems.

# OPTIONS

*completion*
:   Helper for shell completion systems

*describe_filter*
:   Display human readable interpretation of filters

*facts*
:   Reports on usage for a specific fact

*find*
:   Find hosts using the discovery system matching filter criteria

*help*
:   Application list and help

*inventory*
:   General reporting tool for nodes, collectives and subcollectives

*ping*
:   Ping all nodes

*plugin*
:   MCollective Plugin Application

*rpc*
:   Generic RPC agent client application

# SEE ALSO

The mcollective source code and all documentation may be downloaded from
<https://puppet.com/docs/mcollective/current/index.html>.
